Loading...
Searching...
No Matches
pcl::cuda::Create1PointPlaneHypothesis< Storage > Struct Template Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Types

using | PointCloud = typename SampleConsensusModel< Storage >::PointCloud
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Indices = typename SampleConsensusModel< Storage >::Indices
using | IndicesConstPtr = typename SampleConsensusModel< Storage >::IndicesConstPtr

## Public Member Functions

| Create1PointPlaneHypothesis (const PointXYZRGB *_input, const int *_indices, int _nr_indices, float bad)
__inline__ __host__ __device__ float4 | operator() (int t)

## Public Attributes

const PointXYZRGB * | input
const int * | indices
int | nr_indices
float | bad_value

## Detailed Description

template<template< typename > class Storage>
struct pcl::cuda::Create1PointPlaneHypothesis< Storage >

Check if a certain tuple is a point inlier.

Definition at line 243 of file sac_model_1point_plane.h.

## Member Typedef Documentation

## Indices

template<template< typename > class Storage>

using pcl::cuda::Create1PointPlaneHypothesis< Storage >::Indices = typename SampleConsensusModel<Storage>::Indices

Definition at line 247 of file sac_model_1point_plane.h.

## IndicesConstPtr

template<template< typename > class Storage>

using pcl::cuda::Create1PointPlaneHypothesis< Storage >::IndicesConstPtr = typename SampleConsensusModel<Storage>::IndicesConstPtr

Definition at line 248 of file sac_model_1point_plane.h.

## PointCloud

template<template< typename > class Storage>

using pcl::cuda::Create1PointPlaneHypothesis< Storage >::PointCloud = typename SampleConsensusModel<Storage>::PointCloud

Definition at line 245 of file sac_model_1point_plane.h.

## PointCloudConstPtr

template<template< typename > class Storage>

using pcl::cuda::Create1PointPlaneHypothesis< Storage >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 246 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## Create1PointPlaneHypothesis()

template<template< typename > class Storage>

pcl::cuda::Create1PointPlaneHypothesis< Storage >::Create1PointPlaneHypothesis | ( | const PointXYZRGB * | _input,
|  | const int * | _indices,
|  | int | _nr_indices,
|  | float | bad
| ) |  |

inline

Definition at line 255 of file sac_model_1point_plane.h.

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__inline__ __host__ __device__ float4 pcl::cuda::Create1PointPlaneHypothesis< Storage >::operator() | ( | int | t | ) |

## Member Data Documentation

## bad_value

template<template< typename > class Storage>

float pcl::cuda::Create1PointPlaneHypothesis< Storage >::bad_value

Definition at line 253 of file sac_model_1point_plane.h.

## indices

template<template< typename > class Storage>

const int* pcl::cuda::Create1PointPlaneHypothesis< Storage >::indices

Definition at line 251 of file sac_model_1point_plane.h.

## input

template<template< typename > class Storage>

const PointXYZRGB* pcl::cuda::Create1PointPlaneHypothesis< Storage >::input

Definition at line 250 of file sac_model_1point_plane.h.

## nr_indices

template<template< typename > class Storage>

int pcl::cuda::Create1PointPlaneHypothesis< Storage >::nr_indices

Definition at line 252 of file sac_model_1point_plane.h.

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h